- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# gubrow_action Class Reference

Detect and remove entries whose sum is known. More...

`#include <CoinPresolveDupcol.hpp>`

Inheritance diagram for gubrow_action:

[legend]
Collaboration diagram for gubrow_action:

[legend]
List of all members.

## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
## Private Member Functions
| gubrow_action ()
| gubrow_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_
## Classes
struct | action

## Detailed Description

Detect and remove entries whose sum is known.

If we have an equality row where all entries same then For other rows where all entries for that equality row are same then we can delete entries and modify rhs gubrow_action is definitely a work in progress; postsolve is unimplemented.

Definition at line 123 of file CoinPresolveDupcol.hpp.

## Constructor & Destructor Documentation

gubrow_action::gubrow_action | ( |  | ) | `[inline, private]`

Definition at line 133 of file CoinPresolveDupcol.hpp.

gubrow_action::gubrow_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 134 of file CoinPresolveDupcol.hpp.

## Member Function Documentation

const char* gubrow_action::name | ( |  | ) | const`[virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* gubrow_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void gubrow_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int gubrow_action::nactions_`[private]`

Definition at line 130 of file CoinPresolveDupcol.hpp.

const action* const gubrow_action::actions_`[private]`

Definition at line 131 of file CoinPresolveDupcol.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Bcps-0.91.0/CoinUtils/src/CoinPresolveDupcol.hpp